Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.uci.ics.jung.visualization.control
Class PluggableGraphMouse

    java.lang.Object
      edu.uci.ics.jung.visualization.control.PluggableGraphMouse

All Implemented Interfaces:
  EventListener, MouseListener, MouseMotionListener, MouseWheelListener, VisualizationViewer.GraphMouse

Direct Known Subclasses:
  AbstractModalGraphMouse, EditingModalGraphMouse, ZoomPanGraphMouse

public class PluggableGraphMouse
extends Object
implements VisualizationViewer.GraphMouse

a GraphMouse that accepts plugins for various mouse events.

Author:
  Tom Nelson - RABA Technologies

Constructor Summary
`PluggableGraphMouse()`

Method Summary
`void` | `add(GraphMousePlugin plugin)`
`void` | `mouseClicked(MouseEvent e)`
`void` | `mouseDragged(MouseEvent e)`
`void` | `mouseEntered(MouseEvent e)`
`void` | `mouseExited(MouseEvent e)`
`void` | `mouseMoved(MouseEvent e)`
`void` | `mousePressed(MouseEvent e)`
`void` | `mouseReleased(MouseEvent e)`
`void` | `mouseWheelMoved(MouseWheelEvent e)`
`void` | `remove(GraphMousePlugin plugin)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PluggableGraphMouse

    public PluggableGraphMouse()

Method Detail

### add

    public void add(GraphMousePlugin plugin)

### remove

    public void remove(GraphMousePlugin plugin)

### mouseClicked

    public void mouseClicked(MouseEvent e)

  Specified by:
    `mouseClicked` in interface `MouseListener`

### mousePressed

    public void mousePressed(MouseEvent e)

  Specified by:
    `mousePressed` in interface `MouseListener`

### mouseReleased

    public void mouseReleased(MouseEvent e)

  Specified by:
    `mouseReleased` in interface `MouseListener`

### mouseEntered

    public void mouseEntered(MouseEvent e)

  Specified by:
    `mouseEntered` in interface `MouseListener`

### mouseExited

    public void mouseExited(MouseEvent e)

  Specified by:
    `mouseExited` in interface `MouseListener`

### mouseDragged

    public void mouseDragged(MouseEvent e)

  Specified by:
    `mouseDragged` in interface `MouseMotionListener`

### mouseMoved

    public void mouseMoved(MouseEvent e)

  Specified by:
    `mouseMoved` in interface `MouseMotionListener`

### mouseWheelMoved

    public void mouseWheelMoved(MouseWheelEvent e)

  Specified by:
    `mouseWheelMoved` in interface `MouseWheelListener`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD